%define module_name autobox-Transform
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(List/MoreUtils.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Sort/Maker.pm) perl(Test/Differences.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(autobox.pm) perl(autobox/Core.pm) perl(parent.pm) perl(true.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.031
Release: alt1
Summary: Autobox methods to transform Arrays and Hashes
Group: Development/Perl
License: perl
URL: https://github.com/jplindstrom/p5-autobox-Transform

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JO/JOHANL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
High level autobox methods you can call on arrays, arrayrefs, hashes
and hashrefs e.g.

=over 4

=item

$array->map_by()

=item

$array->grep_by()

=item

$array->group_by()

=item

$array->flat()

=back



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/a*

%changelog
* Sat Nov 11 2017 Igor Vlasenko <viy@altlinux.ru> 1.031-alt1
- regenerated from template by package builder

* Tue Nov 01 2016 Igor Vlasenko <viy@altlinux.ru> 1.029-alt1
- regenerated from template by package builder

* Wed Oct 12 2016 Igor Vlasenko <viy@altlinux.ru> 1.023-alt1
- regenerated from template by package builder

* Thu Sep 01 2016 Igor Vlasenko <viy@altlinux.ru> 1.019-alt1
- regenerated from template by package builder

* Sun Aug 07 2016 Igor Vlasenko <viy@altlinux.ru> 1.017-alt1
- regenerated from template by package builder

* Mon Jul 25 2016 Igor Vlasenko <viy@altlinux.ru> 1.016-alt1
- regenerated from template by package builder

* Thu Jun 09 2016 Igor Vlasenko <viy@altlinux.ru> 1.010-alt1
- regenerated from template by package builder

* Tue May 03 2016 Igor Vlasenko <viy@altlinux.ru> 1.006-alt1
- regenerated from template by package builder

* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 1.004-alt1
- initial import by package builder

